PROBE::SCSI.IOEXEC(3stap)

NAME
probe::scsi.ioexecute - Create mid-layer SCSI request and wait for the result

SYNOPSIS

scsi.ioexecute

VALUES

host_no
    The host number

channel
    The channel number

request_bufflen
    The data buffer buffer length

timeout
    Request timeout in seconds

lun
    The lun number

request_buffer
    The data buffer address

device_state
    The current state of the device

retries
    Number of times to retry request

dev_id
    The scsi device id

device_state_str
    The current state of the device, as a string

data_direction
    The data_direction specifies whether this command is from/to the device.

data_direction_str
    Data direction, as a string

SEE ALSO
tapset::scsi(3stap)